View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
18347Bug reportsSurvey takingpublic2022-09-30 14:24
Reporterventolinmono Assigned ToDenisChenu  
PrioritynormalSeverityminor 
Status resolvedResolutionfixed 
Summary18347: Unable to check extension of this file type image/svg.
Description

Get this error when trying to upload a SVG on answering a file upload question type. I suspect it has something to do with the fact that the SVG is missing the first <?xml> tag. The SVG is valid according to https://validator.w3.org and can be opened with Inkscape with no problems. I tried uploading other SVG files with no problems and they have this tag.

Steps To Reproduce

Steps to reproduce

Try with two SVGs, one with <?xml version="1.0" encoding="UTF-8" standalone="no"?> in the first line and one withoutttttttttttttt.

Expected result

Both files should upload.

Actual result

File without <?xml> doesn't uploads.

Additional Information

master : https://github.com/LimeSurvey/LimeSurvey/pull/2613

TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)5.1
I will donate to the project if issue is resolvedNo
BrowserFirefox 91.13.0esr
Database type & versionMySQL database
Server OS (if known)
Webserver software & version (if known)
PHP VersionPHP 7.4.30

Relationships

related to 18353 resolvedDenisChenu Unable to upload an xml file 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

ventolinmono

ventolinmono

2022-09-13 20:22

reporter  

test_with_xml.svg (1,897 bytes)   
test_with_xml.svg (1,897 bytes)   
test_without_xml.svg (1,842 bytes)   
test_without_xml.svg (1,842 bytes)   
DenisChenu

DenisChenu

2022-09-14 08:47

developer   ~71705

Last edited: 2022-09-14 08:50

OK it's a valid SVG file (SVG 1.1 + URL + HTML + MathML 3.0)

But : don't shown on Firefox or Chromium.

You can set your own «magic_file» with config : https://manual.limesurvey.org/Optional_settings#Upload_files

DenisChenu

DenisChenu

2022-09-27 10:40

developer   ~71966

@ventolinmono a way to test the commit ?

ventolinmono

ventolinmono

2022-09-27 15:58

reporter   ~71979

Awesome, thank you very much. This would be the first time I patch Limesurvey but I have a couple of important surveys opened at the moment and I don't want to break anything.

DenisChenu

DenisChenu

2022-09-30 12:15

developer   ~72027

Test survey

limesurvey_survey_svgupload.lss (22,229 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<document>
 <LimeSurveyDocType>Survey</LimeSurveyDocType>
 <DBVersion>366</DBVersion>
 <languages>
  <language>fr</language>
 </languages>
 <groups>
  <fields>
   <fieldname>gid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_name</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>description</fieldname>
   <fieldname>language</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <gid><![CDATA[958]]></gid>
    <sid><![CDATA[678325]]></sid>
    <group_name><![CDATA[Mon premier groupe de question]]></group_name>
    <group_order><![CDATA[1]]></group_order>
    <description/>
    <language><![CDATA[fr]]></language>
    <randomization_group/>
    <grelevance><![CDATA[1]]></grelevance>
   </row>
  </rows>
 </groups>
 <questions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>question</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>help</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>language</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[17541]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[678325]]></sid>
    <gid><![CDATA[958]]></gid>
    <type><![CDATA[|]]></type>
    <title><![CDATA[Q00]]></title>
    <question><![CDATA[Une première question comme exemple. Veuillez répondre à cette question :]]></question>
    <preg/>
    <help><![CDATA[Ceci est un texte d’aide pour la question.]]></help>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[1]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
  </rows>
 </questions>
 <question_attributes>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>attribute</fieldname>
   <fieldname>value</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[17541]]></qid>
    <attribute><![CDATA[allowed_filetypes]]></attribute>
    <value><![CDATA[png, gif, doc, odt, jpg, pdf, png, jpeg, svg]]></value>
   </row>
   <row>
    <qid><![CDATA[17541]]></qid>
    <attribute><![CDATA[max_num_of_files]]></attribute>
    <value><![CDATA[2]]></value>
   </row>
   <row>
    <qid><![CDATA[17541]]></qid>
    <attribute><![CDATA[pdfReportSubTitle]]></attribute>
    <value><![CDATA[{SURVEYNAME}]]></value>
    <language><![CDATA[fr]]></language>
   </row>
   <row>
    <qid><![CDATA[17541]]></qid>
    <attribute><![CDATA[pdfReportTitle]]></attribute>
    <value><![CDATA[{SITENAME}]]></value>
    <language><![CDATA[fr]]></language>
   </row>
  </rows>
 </question_attributes>
 <surveys>
  <fields>
   <fieldname>sid</fieldname>
   <fieldname>gsid</fieldname>
   <fieldname>admin</fieldname>
   <fieldname>expires</fieldname>
   <fieldname>startdate</fieldname>
   <fieldname>adminemail</fieldname>
   <fieldname>anonymized</fieldname>
   <fieldname>faxto</fieldname>
   <fieldname>format</fieldname>
   <fieldname>savetimings</fieldname>
   <fieldname>template</fieldname>
   <fieldname>language</fieldname>
   <fieldname>additional_languages</fieldname>
   <fieldname>datestamp</fieldname>
   <fieldname>usecookie</fieldname>
   <fieldname>allowregister</fieldname>
   <fieldname>allowsave</fieldname>
   <fieldname>autonumber_start</fieldname>
   <fieldname>autoredirect</fieldname>
   <fieldname>allowprev</fieldname>
   <fieldname>printanswers</fieldname>
   <fieldname>ipaddr</fieldname>
   <fieldname>refurl</fieldname>
   <fieldname>showsurveypolicynotice</fieldname>
   <fieldname>publicstatistics</fieldname>
   <fieldname>publicgraphs</fieldname>
   <fieldname>listpublic</fieldname>
   <fieldname>htmlemail</fieldname>
   <fieldname>sendconfirmation</fieldname>
   <fieldname>tokenanswerspersistence</fieldname>
   <fieldname>assessments</fieldname>
   <fieldname>usecaptcha</fieldname>
   <fieldname>usetokens</fieldname>
   <fieldname>bounce_email</fieldname>
   <fieldname>attributedescriptions</fieldname>
   <fieldname>emailresponseto</fieldname>
   <fieldname>emailnotificationto</fieldname>
   <fieldname>tokenlength</fieldname>
   <fieldname>showxquestions</fieldname>
   <fieldname>showgroupinfo</fieldname>
   <fieldname>shownoanswer</fieldname>
   <fieldname>showqnumcode</fieldname>
   <fieldname>bouncetime</fieldname>
   <fieldname>bounceprocessing</fieldname>
   <fieldname>bounceaccounttype</fieldname>
   <fieldname>bounceaccounthost</fieldname>
   <fieldname>bounceaccountpass</fieldname>
   <fieldname>bounceaccountencryption</fieldname>
   <fieldname>bounceaccountuser</fieldname>
   <fieldname>showwelcome</fieldname>
   <fieldname>showprogress</fieldname>
   <fieldname>questionindex</fieldname>
   <fieldname>navigationdelay</fieldname>
   <fieldname>nokeyboard</fieldname>
   <fieldname>alloweditaftercompletion</fieldname>
   <fieldname>googleanalyticsstyle</fieldname>
   <fieldname>googleanalyticsapikey</fieldname>
  </fields>
  <rows>
   <row>
    <sid><![CDATA[678325]]></sid>
    <gsid><![CDATA[1]]></gsid>
    <admin><![CDATA[Denis Chenu]]></admin>
    <adminemail><![CDATA[denis@shnoulle.net]]></adminemail>
    <anonymized><![CDATA[N]]></anonymized>
    <faxto/>
    <format><![CDATA[G]]></format>
    <savetimings><![CDATA[N]]></savetimings>
    <template><![CDATA[advantages]]></template>
    <language><![CDATA[fr]]></language>
    <additional_languages/>
    <datestamp><![CDATA[N]]></datestamp>
    <usecookie><![CDATA[N]]></usecookie>
    <allowregister><![CDATA[N]]></allowregister>
    <allowsave><![CDATA[Y]]></allowsave>
    <autonumber_start><![CDATA[0]]></autonumber_start>
    <autoredirect><![CDATA[N]]></autoredirect>
    <allowprev><![CDATA[N]]></allowprev>
    <printanswers><![CDATA[N]]></printanswers>
    <ipaddr><![CDATA[N]]></ipaddr>
    <refurl><![CDATA[N]]></refurl>
    <showsurveypolicynotice><![CDATA[0]]></showsurveypolicynotice>
    <publicstatistics><![CDATA[N]]></publicstatistics>
    <publicgraphs><![CDATA[N]]></publicgraphs>
    <listpublic><![CDATA[N]]></listpublic>
    <htmlemail><![CDATA[Y]]></htmlemail>
    <sendconfirmation><![CDATA[Y]]></sendconfirmation>
    <tokenanswerspersistence><![CDATA[N]]></tokenanswerspersistence>
    <assessments><![CDATA[N]]></assessments>
    <usecaptcha><![CDATA[N]]></usecaptcha>
    <usetokens><![CDATA[N]]></usetokens>
    <bounce_email><![CDATA[denis@shnoulle.net]]></bounce_email>
    <emailresponseto/>
    <emailnotificationto/>
    <tokenlength><![CDATA[15]]></tokenlength>
    <showxquestions><![CDATA[Y]]></showxquestions>
    <showgroupinfo><![CDATA[B]]></showgroupinfo>
    <shownoanswer><![CDATA[N]]></shownoanswer>
    <showqnumcode><![CDATA[X]]></showqnumcode>
    <bounceprocessing><![CDATA[N]]></bounceprocessing>
    <showwelcome><![CDATA[Y]]></showwelcome>
    <showprogress><![CDATA[Y]]></showprogress>
    <questionindex><![CDATA[0]]></questionindex>
    <navigationdelay><![CDATA[0]]></navigationdelay>
    <nokeyboard><![CDATA[N]]></nokeyboard>
    <alloweditaftercompletion><![CDATA[N]]></alloweditaftercompletion>
   </row>
  </rows>
 </surveys>
 <surveys_languagesettings>
  <fields>
   <fieldname>surveyls_survey_id</fieldname>
   <fieldname>surveyls_language</fieldname>
   <fieldname>surveyls_title</fieldname>
   <fieldname>surveyls_description</fieldname>
   <fieldname>surveyls_welcometext</fieldname>
   <fieldname>surveyls_endtext</fieldname>
   <fieldname>surveyls_policy_notice</fieldname>
   <fieldname>surveyls_policy_error</fieldname>
   <fieldname>surveyls_policy_notice_label</fieldname>
   <fieldname>surveyls_url</fieldname>
   <fieldname>surveyls_urldescription</fieldname>
   <fieldname>surveyls_email_invite_subj</fieldname>
   <fieldname>surveyls_email_invite</fieldname>
   <fieldname>surveyls_email_remind_subj</fieldname>
   <fieldname>surveyls_email_remind</fieldname>
   <fieldname>surveyls_email_register_subj</fieldname>
   <fieldname>surveyls_email_register</fieldname>
   <fieldname>surveyls_email_confirm_subj</fieldname>
   <fieldname>surveyls_email_confirm</fieldname>
   <fieldname>surveyls_dateformat</fieldname>
   <fieldname>surveyls_attributecaptions</fieldname>
   <fieldname>email_admin_notification_subj</fieldname>
   <fieldname>email_admin_notification</fieldname>
   <fieldname>email_admin_responses_subj</fieldname>
   <fieldname>email_admin_responses</fieldname>
   <fieldname>surveyls_numberformat</fieldname>
   <fieldname>attachments</fieldname>
  </fields>
  <rows>
   <row>
    <surveyls_survey_id><![CDATA[678325]]></surveyls_survey_id>
    <surveyls_language><![CDATA[fr]]></surveyls_language>
    <surveyls_title><![CDATA[Upload]]></surveyls_title>
    <surveyls_description/>
    <surveyls_welcometext/>
    <surveyls_endtext/>
    <surveyls_url/>
    <surveyls_urldescription/>
    <surveyls_email_invite_subj><![CDATA[Invitation à participer à un questionnaire]]></surveyls_email_invite_subj>
    <surveyls_email_invite><![CDATA[Dear {FIRSTNAME},<br />
<br />
You have been invited to participate in a survey.<br />
<br />
The survey is titled:<br />
"{SURVEYNAME}"<br />
<br />
"{SURVEYDESCRIPTION}"<br />
<br />
To participate, please click on the link below.<br />
<br />
Sincerely,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Click here to do the survey:<br />
{SURVEYURL}<br />
<br />
Si vous ne souhaitez pas participer à ce questionnaire et ne souhaitez plus recevoir aucune invitation, veuillez cliquer sur le lien suivant :<br />
{OPTOUTURL}<br />
<br />
Si vous êtes sur liste noire mais que vous voulez participer à ce questionnaire et recevoir les invitations, merci de cliquer sur le lien suivant :<br />
{OPTINURL}]]></surveyls_email_invite>
    <surveyls_email_remind_subj><![CDATA[Rappel pour participer à un questionnaire]]></surveyls_email_remind_subj>
    <surveyls_email_remind><![CDATA[Cher(e) {FIRSTNAME},<br />
<br />
Vous avez été invité(e) à participer à un questionnaire récemment.<br />
<br />
Nous avons pris en compte que vous n’avez pas encore complété le questionnaire, et nous vous rappelons que celui-ci est toujours disponible si vous souhaitez participer.<br />
<br />
Le questionnaire est intitulé :<br />
"{SURVEYNAME}"<br />
<br />
"{SURVEYDESCRIPTION}"<br />
<br />
Pour participer, veuillez cliquer sur le lien ci-dessous.<br />
<br />
Cordialement,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Cliquez ici pour faire le questionnaire :<br />
{SURVEYURL}<br />
<br />
Si vous ne souhaitez pas participer à ce questionnaire et ne souhaitez plus recevoir aucune invitation, veuillez cliquer sur le lien suivant :<br />
{OPTOUTURL}]]></surveyls_email_remind>
    <surveyls_email_register_subj><![CDATA[Confirmation d’enregistrement pour le questionnaire]]></surveyls_email_register_subj>
    <surveyls_email_register><![CDATA[Bonjour {FIRSTNAME},<br />
<br />
Vous (ou quelqu’un utilisant votre adresse électronique) vous êtes enregistré pour participer à un questionnaire en ligne intitulé {SURVEYNAME}.<br />
<br />
Pour compléter ce questionnaire, cliquez sur le lien suivant :<br />
{SURVEYURL}<br />
<br />
Si vous avez des questions à propos de ce questionnaire, ou si vous ne vous êtes pas enregistré pour participer à celui-ci et croyez que ce message est une erreur, veuillez contacter {ADMINNAME} à l’adresse {ADMINEMAIL}]]></surveyls_email_register>
    <surveyls_email_confirm_subj><![CDATA[Confirmation de votre participation à notre questionnaire]]></surveyls_email_confirm_subj>
    <surveyls_email_confirm><![CDATA[Dear {FIRSTNAME},<br />
<br />
This email is to confirm that you have completed the survey titled {SURVEYNAME} and your response has been saved. Thank you for participating.<br />
<br />
If you have any further questions about this email, please contact {ADMINNAME} on {ADMINEMAIL}.<br />
<br />
Sincerely,<br />
<br />
{ADMINNAME}]]></surveyls_email_confirm>
    <surveyls_dateformat><![CDATA[5]]></surveyls_dateformat>
    <email_admin_notification_subj><![CDATA[Soumission de réponse pour le questionnaire {SURVEYNAME}]]></email_admin_notification_subj>
    <email_admin_notification><![CDATA[Bonjour,<br />
<br />
Une nouvelle réponse a été soumise pour votre questionnaire '{SURVEYNAME}'.<br />
<br />
Cliquez sur le lien suivant pour voir la réponse :<br />
{VIEWRESPONSEURL}<br />
<br />
Cliquez sur le lien suivant pour éditer la réponse :<br />
{EDITRESPONSEURL}<br />
<br />
Visualisez les statistiques en cliquant ici :<br />
{STATISTICSURL}]]></email_admin_notification>
    <email_admin_responses_subj><![CDATA[Soumission de réponse pour le questionnaire {SURVEYNAME} avec résultats]]></email_admin_responses_subj>
    <email_admin_responses><![CDATA[Bonjour,<br />
<br />
Une nouvelle réponse a été soumise pour votre questionnaire '{SURVEYNAME}'.<br />
<br />
Cliquez sur le lien suivant pour voir cette réponse :<br />
{VIEWRESPONSEURL}<br />
<br />
Cliquez sur le lien suivant pour éditer cette réponse individuelle :<br />
{EDITRESPONSEURL}<br />
<br />
Visualisez les statistiques en cliquant ici :<br />
{STATISTICSURL}<br />
<br />
<br />
Les réponses suivantes ont été données par le participant :<br />
{ANSWERTABLE}]]></email_admin_responses>
    <surveyls_numberformat><![CDATA[0]]></surveyls_numberformat>
   </row>
  </rows>
 </surveys_languagesettings>
 <themes>
  <theme>
   <sid>678325</sid>
   <template_name>advantages</template_name>
   <config>
    <options>inherit</options>
   </config>
  </theme>
 </themes>
 <themes_inherited>
  <theme>
   <sid>678325</sid>
   <template_name>advantages</template_name>
   <config>
    <options>
     <hideprivacyinfo>off</hideprivacyinfo>
     <container>on</container>
     <questionhtag>off</questionhtag>
     <brandlogo>off</brandlogo>
     <brandlogofile>./files/logo.png</brandlogofile>
     <brandlogobylang>off</brandlogobylang>
     <brandlogoalt>&quot;&quot;</brandlogoalt>
     <brandlogoasbanner>off</brandlogoasbanner>
     <surveylistlogo>on</surveylistlogo>
     <surveylistlogofile>./files/survey_list_header.png</surveylistlogofile>
     <poweredlogo>on</poweredlogo>
     <poweredlogofile>./files/poweredby.png</poweredlogofile>
     <poweredlink>https://advantages.fr/</poweredlink>
     <poweredtext>La performance de l'IT via la satisfaction des utilisateurs</poweredtext>
     <mandatoryposition>astip</mandatoryposition>
     <errorattop>on</errorattop>
     <questioncolor>primary</questioncolor>
     <dangercolor>on</dangercolor>
     <questionwrap>none</questionwrap>
     <questionsize>h4</questionsize>
     <helpcolor>text-info</helpcolor>
     <validitycolor>text-info</validitycolor>
     <fixedheader>off</fixedheader>
     <headercontainer>off</headercontainer>
     <titlelocation>header</titlelocation>
     <theme>off</theme>
     <bodyloaded>on</bodyloaded>
     <removeback>on</removeback>
     <fixnumauto>disable</fixnumauto>
     <dynamicvalidity>off</dynamicvalidity>
     <savelink>on</savelink>
     <clearalllink>on</clearalllink>
     <indexlink>on</indexlink>
     <languagelink>on</languagelink>
     <previouslink>off</previouslink>
     <nextsubmitlink>off</nextsubmitlink>
     <showclearall>on</showclearall>
     <tableheader>on</tableheader>
     <availablevariations>{
  &quot;advantages&quot;: {
    &quot;name&quot;: &quot;Advantages&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;contrast&quot;: {
    &quot;name&quot;: &quot;Contrast&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;bootstrap&quot;: {
    &quot;name&quot;: &quot;Bootstrap&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;cerulean&quot;: {
    &quot;name&quot;: &quot;Cerulean&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;cosmo&quot;: {
    &quot;name&quot;: &quot;Cosmo&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;cyborg&quot;: {
    &quot;name&quot;: &quot;Cyborg&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;darkly&quot;: {
    &quot;name&quot;: &quot;Darkly&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;flatly&quot;: {
    &quot;name&quot;: &quot;Flatly&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;journal&quot;: {
    &quot;name&quot;: &quot;Journal&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;lumen&quot;: {
    &quot;name&quot;: &quot;Lumen&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;paper&quot;: {
    &quot;name&quot;: &quot;Paper&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;readable&quot;: {
    &quot;name&quot;: &quot;Readable&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;sandstone&quot;: {
    &quot;name&quot;: &quot;Sandstone&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;simplex&quot;: {
    &quot;name&quot;: &quot;Simplex&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;slate&quot;: {
    &quot;name&quot;: &quot;Slate&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;spacelab&quot;: {
    &quot;name&quot;: &quot;Spacelab&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;superhero&quot;: {
    &quot;name&quot;: &quot;Superhero&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;united&quot;: {
    &quot;name&quot;: &quot;United&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;yeti&quot;: {
    &quot;name&quot;: &quot;Yeti&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-apple_blossom&quot;: {
    &quot;name&quot;: &quot;(Fruity) Apple Blossom&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-black_pearl&quot;: {
    &quot;name&quot;: &quot;(Fruity) Black Pearl&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-free_magenta&quot;: {
    &quot;name&quot;: &quot;(Fruity) Free magenta&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-purple_tentacle&quot;: {
    &quot;name&quot;: &quot;(Fruity) Purple Tentacle&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-sea_green&quot;: {
    &quot;name&quot;: &quot;(Fruity) Sea Green&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-skyline_blue&quot;: {
    &quot;name&quot;: &quot;(Fruity) Skyline Blue&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-sunset_orange&quot;: {
    &quot;name&quot;: &quot;(Fruity) Sunset Orange&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  }
}</availablevariations>
    </options>
   </config>
  </theme>
 </themes_inherited>
</document>
limesurvey_survey_svgupload.lss (22,229 bytes)   
DenisChenu

DenisChenu

2022-09-30 14:04

developer   ~72030

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=33922

Related Changesets

LimeSurvey: master 0452b58f

2022-09-30 14:04:44

DenisChenu


Committer: GitHub Details Diff
Fixed issue 18353: Unable to upload an xml file (#2613)

* Dev: Code sniffer

* Fixed issue 18353: Unable to upload an xml file

* Fixed issue 18347: Unable to check extension of this file type image/svg.
Affected Issues
18347, 18353
mod - application/core/utils/fileExtensions.php Diff File

Issue History

Date Modified Username Field Change
2022-09-13 20:22 ventolinmono New Issue
2022-09-13 20:22 ventolinmono File Added: test_with_xml.svg
2022-09-13 20:22 ventolinmono File Added: test_without_xml.svg
2022-09-14 08:47 DenisChenu Note Added: 71705
2022-09-14 08:47 DenisChenu File Added: Capture d’écran du 2022-09-14 08-41-15.png
2022-09-14 08:47 DenisChenu File Added: Capture d’écran du 2022-09-14 08-41-39.png
2022-09-14 08:47 DenisChenu Bug heat 0 => 2
2022-09-14 08:49 DenisChenu Assigned To => DenisChenu
2022-09-14 08:49 DenisChenu Status new => assigned
2022-09-14 08:50 DenisChenu Note Edited: 71705
2022-09-15 12:57 DenisChenu Relationship added related to 18353
2022-09-19 10:54 DenisChenu Assigned To DenisChenu =>
2022-09-19 10:54 DenisChenu Status assigned => ready for testing
2022-09-19 10:55 DenisChenu Additional Information Updated
2022-09-19 10:55 DenisChenu Status ready for testing => ready for code review
2022-09-26 17:54 DenisChenu Assigned To => gabrieljenik
2022-09-26 20:30 gabrieljenik Assigned To gabrieljenik => DenisChenu
2022-09-26 20:30 gabrieljenik Status ready for code review => ready for testing
2022-09-27 10:40 DenisChenu Note Added: 71966
2022-09-27 15:58 ventolinmono Note Added: 71979
2022-09-27 15:58 ventolinmono Bug heat 2 => 4
2022-09-27 17:27 DenisChenu Assigned To DenisChenu =>
2022-09-27 17:27 DenisChenu Status ready for testing => ready for merge
2022-09-29 09:28 DenisChenu Status ready for merge => ready for testing
2022-09-29 09:28 DenisChenu Priority none => normal
2022-09-30 11:55 pstelling Assigned To => pstelling
2022-09-30 12:15 DenisChenu Note Added: 72027
2022-09-30 12:15 DenisChenu File Added: limesurvey_survey_svgupload.lss
2022-09-30 14:04 DenisChenu Changeset attached => LimeSurvey master 0452b58f
2022-09-30 14:04 DenisChenu Note Added: 72030
2022-09-30 14:04 DenisChenu Assigned To pstelling => DenisChenu
2022-09-30 14:04 DenisChenu Resolution open => fixed
2022-09-30 14:24 pstelling Status ready for testing => resolved